Name: icinga-kubernetes
Version: 0.3.0
Release: 1.opensuse15.6
Summary: Icinga for Kubernetes Monitoring Daemon

Group: Productivity/Databases/Daemons

License: AGPL-3.0-or-later

URL: https://icinga.com
Source0: icinga-kubernetes-0.3.0.tgz
Source1: icinga-kubernetes-rpm.tgz

BuildRequires: gcc
BuildRequires: systemd-rpm-macros

Requires(pre): shadow

%description
Icinga for Kubernetes is a set of components for monitoring and visualizing Kubernetes resources.
This package installs the Icinga for Kubernetes daemon, which uses the Kubernetes API to monitor the configuration and
status changes of Kubernetes resources synchronizing every change in a database.

%define debug_package %{nil}

%prep
%autosetup
%setup -T -D -a 1

%build
sed -i s@/usr/sbin@/usr/sbin@g %_topdir/SOURCES/icinga-kubernetes-rpm.tgz
go build -buildvcs=false -trimpath -o . ./cmd/...

%install
install -Dpm 0755 icinga-kubernetes %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.opensuse15.6.x86_64/usr/sbin/icinga-kubernetes
install -dm 0750 %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.opensuse15.6.x86_64/etc/icinga-kubernetes
install -pm 0640 config.example.yml %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.opensuse15.6.x86_64/etc/icinga-kubernetes/config.yml
install -Dpm 0644 icinga-kubernetes.service %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.opensuse15.6.x86_64/usr/lib/systemd/system/icinga-kubernetes.service
install -Dpm 0644 icinga-kubernetes@.service %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.opensuse15.6.x86_64/usr/lib/systemd/system/icinga-kubernetes@.service
install -Dpm 0755 icinga-kubernetes-generator %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.opensuse15.6.x86_64/usr/lib/systemd/system-generators/icinga-kubernetes-generator
install -Dpm 0644 conf/icinga-kubernetes %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.opensuse15.6.x86_64/etc/default/icinga-kubernetes
install -pm 0644 conf/default.env %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.opensuse15.6.x86_64/etc/icinga-kubernetes/default.env

install -dm 0755 %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.opensuse15.6.x86_64/usr/share/icinga-kubernetes
cp -rv schema %_topdir/BUILDROOT/icinga-kubernetes-0.3.0-1.opensuse15.6.x86_64/usr/share/icinga-kubernetes/

%pre
getent passwd icinga-kubernetes >/dev/null || useradd -rU -d /etc/icinga-kubernetes -s /sbin/nologin icinga-kubernetes

%post
:
if [ -x /usr/bin/systemctl ]; then
test -n "$FIRST_ARG" || FIRST_ARG="$1"
[ -d /var/lib/systemd/migrated ] || mkdir -p /var/lib/systemd/migrated || :

if [ "$YAST_IS_RUNNING" != "instsys" ]; then
/usr/bin/systemctl daemon-reload || :
fi
for service in icinga-kubernetes.service ; do
sysv_service=${service%.*}

if [ -e /run/systemd/rpm/needs-preset/$service ]; then
/usr/bin/systemctl preset $service || :
rm "/run/systemd/rpm/needs-preset/$service" || :

elif [ -e /run/systemd/rpm/needs-sysv-convert/$service ]; then
/usr/sbin/systemd-sysv-convert --apply $sysv_service || :
rm "/run/systemd/rpm/needs-sysv-convert/$service" || :
touch /var/lib/systemd/migrated/$sysv_service || :
fi
done
fi

%preun
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"
if [ "$FIRST_ARG" -eq 0 -a -x /usr/bin/systemctl ]; then
/usr/bin/systemctl --no-reload disable icinga-kubernetes.service || :
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_STOP_ON_REMOVAL" && . /etc/sysconfig/services
test "$DISABLE_STOP_ON_REMOVAL" = yes -o \
"$DISABLE_STOP_ON_REMOVAL" = 1 && exit 0
/usr/bin/systemctl stop icinga-kubernetes.service
) || :
fi

%postun
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"

if [ $1 -eq 0 ]; then
for service in icinga-kubernetes.service ; do
sysv_service="${service%.*}"
rm -f "/var/lib/systemd/migrated/$sysv_service" || :
done
fi
if [ -x /usr/bin/systemctl ]; then
/usr/bin/systemctl daemon-reload || :
fi

if [ "$FIRST_ARG" -ge 1 ]; then
if [ -x /usr/bin/systemctl ]; then
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_RESTART_ON_UPDATE" && . /etc/sysconfig/services
test "$DISABLE_RESTART_ON_UPDATE" = yes -o \
"$DISABLE_RESTART_ON_UPDATE" = 1 && exit 0
/usr/bin/systemctl try-restart icinga-kubernetes.service
) || :
fi
fi

%files
%doc README.md
%license LICENSE
/usr/sbin/icinga-kubernetes
/usr/lib/systemd/system/icinga-kubernetes.service
/usr/lib/systemd/system/icinga-kubernetes@.service
/usr/lib/systemd/system-generators/icinga-kubernetes-generator
/usr/share/icinga-kubernetes/schema

%attr(-, icinga-kubernetes, root) /etc/icinga-kubernetes
%attr(-, icinga-kubernetes, root) %config(noreplace) /etc/icinga-kubernetes/config.yml
%attr(-, icinga-kubernetes, root) %config(noreplace) /etc/default/icinga-kubernetes
%attr(-, icinga-kubernetes, root) %config(noreplace) /etc/icinga-kubernetes/default.env

%changelog
* Thu May 22 2025 Icinga GmbH <info@icinga.com> - 0.3.0-1.opensuse15.6
- Version 0.3.0-1

